## rmg jan 2011
## fb apr 2011
import common

class alignCommands:
    def __init__(self):
        """ constructor, setting initial variables """

        self.counter = -1

        # will be replaced with getting nbeams from champ server
        self.number_beams = common.number_beams

        # here i could also do initialization of align GUI for 4 or 6 beams,
        # by setting the appropriate variables to the values for 4 or 6 beams in common.py
        if self.number_beams == 4:
            self.step = common.step_4
            self.beam = common.beam_4
            self.spot_name = common.spot_name_4
            self.spot_quadrant = common.spot_quadrant_4
            self.position_index = common.position_index_4
            self.position_name = common.position_name_4
            self.pico_name = common.pico_name_4
            self.pico_allowed = common.pico_allowed_4
            self.additional_info = common.additional_info_4
            self.xtarget = common.xtarget_4
            self.ytarget = common.ytarget_4
            self.spot_number = common.spot_number_4
            
        if self.number_beams == 6:
            self.step = common.step_6
            self.beam = common.beam_6
            self.spot_name = common.spot_name_6
            self.spot_quadrant = common.spot_quadrant_6
            self.position_index = common.position_index_6
            self.position_name = common.position_name_6
            self.pico_name = common.pico_name_6
            self.pico_allowed = common.pico_allowed_6
            self.additional_info = common.additional_info_6
            self.xtarget = common.xtarget_6
            self.ytarget = common.ytarget_6
            self.spot_number = common.spot_number_6

    def start_align(self):
        self.counter = 0

    def next_align(self):
        if self.counter < len(self.step):
            self.counter = self.counter + 1

    def back_align(self):
        if self.counter > 0:
            self.counter = self.counter - 1
            
